// display_thread.h
#ifndef _DISPLAY_THREAD_H
#define _DISPLAY_THREAD_H

//#include "avrx/avrx-io.h"
//#include "avrx/avrx-signal.h"
//#include "avrx/avrx.h"

typedef struct rowdat rowdat;
struct rowdat{
  uint8_t dat[6];
};

void clr_driver(void);
void active_driver(void);

void set_pixline(uint8_t nr, uint8_t dat[]);
///
///  set pixel on one line of the display 1x48
///  nr: nummer of the line where to set the pixels
///  dat[]: data for the line (0...13) (a one at the position sets the pixel)
///
///  to set a pixel, the row n-channel must be active and the column high-driver must be active


void clr_pixline(uint8_t nr, uint8_t dat[]);
///
///  clears pixel on one line of the display 1x48
///  nr: nummer of the line where to clear the pixels
///  dat[]: data for the line (a one at the position clears the pixel)
///


void set_pixels(uint16_t row, uint8_t dat[]);
///
/// write data to set pixel on the display, 14x48 Display
/// row: row-data of display
/// dat[]: column data of display


void clr_pixels(void);


// this is the display thread function...
extern void display_thread(void);



#endif
// end of file display_thread.h
